Bug 128218 - RFE: Integrate ipw2{1,2}00 modules into Fedora kernel
RFE: Integrate ipw2{1,2}00 modules into Fedora kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-20 06:25 EDT by Michel Alexandre Salim
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 14:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2004-07-20 06:25:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9 StumbleUpon/1.99

Description of problem:
Would it be possible to include support for the Intel Pro Wireless
2100 and 2200 wireless cards? (The drivers are available at
ipw2100.sf.net and ipw2200.sf.net respectively)

Most Centrino laptops come with either of these cards, so it would be
a nice addition. There might be license problems with bundling the
binary firmware, but it is packaged separately from the drivers and
from SuSE 9.1 install reports it seems that SuSE just bundles the
drivers and tell their users to get the firmware themselves.

Third-party RPMs are already available at



but bundling it with the kernel (perhaps sans the firmware) would
allow integration with Anaconda and system-config-network

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Additional info:
Comment 1 Bill Nottingham 2004-07-20 12:43:03 EDT
Would need some sort of license for the firmware, really.
Comment 2 Michel Alexandre Salim 2004-07-21 17:15:43 EDT
Is there any reason not to include at least the kernel module? Users
could download the firmware themselves. There is a big difference
between having to download one binary file and having to compile a
kernel module.


Comment 3 Bill Nottingham 2004-07-21 17:19:51 EDT
It would need to be in the upstream kernel.
Comment 4 petrosyan 2005-01-12 14:34:30 EST
these modules have already been integrated into Fedora kernel.
so the bug should be closed

Note You need to log in before you can comment on or make changes to this bug.